=== debian/changelog ===
pyside2 (5.15.16-4build1) resolute; urgency=medium

  * Rebuild against llvm 21

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 05:04:46 -0400

pyside2 (5.15.16-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Revert making tests non-fatal on ppc64el.

  [ Gianfranco Costamagna ]
  * Add two upstream patches for cmake 4.0 (Closes: #1113433)
    - a17f4a90b1af174b38b839fc1b5bc0e933ad1725.patch
    - ea351c5d53e34d3d1daf71de5eb73ba6e03e552a.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:43:00 +0200

pyside2 (5.15.16-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Also make the tests non-fatal on ppc64el, in order to
    unblock python3.13-default transition, see #1092890

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 Jan 2025 16:33:38 +0000

pyside2 (5.15.16-3) unstable; urgency=medium

  * Team upload.
  * Drop 20 unused binary packages, as part of Qt 5 removal process.
    - Drop Modify-sendCommand-signatures.patch, no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Jan 2025 22:09:58 +0300

pyside2 (5.15.16-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patches to support Python 3.13 (closes: #1091430).
  * Use public version of PyLong_AsInt for Python >= 3.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Jan 2025 14:54:50 +0300

pyside2 (5.15.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Fix-tests-sample_privatector-sample_privatedtor-failing-w.patch,
    included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Nov 2024 14:20:58 +0300
